<template>
    <v-dialog v-model="dialog" persistent max-width="600px">
        <template #activator="{ on : onD, attrs: aD }">
            <v-tooltip bottom>
                <template #activator="{ on : onT, attrs: aT }">
                    <v-btn icon v-bind="{...aT, ...aD}" v-on="{...onT, ...onD}">
                        <v-icon color="grey lighten-1">$vuetify.icons.del</v-icon>
                    </v-btn>
                </template>
                <span>{{tooltip}}</span>
            </v-tooltip>
        </template>
        <v-card>
            <v-card-title class="headline"> {{title}}</v-card-title>
            <v-card-text>
                {{text}}
            </v-card-text>
            <v-card-actions>
                <v-spacer></v-spacer>
                <v-btn color="green darken-1" text @click="Back">Back</v-btn>
                <v-btn color="green darken-1" text @click="Delete">Delete</v-btn>
            </v-card-actions>
        </v-card>
    </v-dialog>
</template>

<style lang='scss' scoped>

</style>

<script lang='ts'>
    import {Component, Prop, Vue} from 'vue-property-decorator';


    @Component
    export default class DeleteIcon extends Vue {
        dialog = false;
        @Prop() backF!: () => Promise<void>
        @Prop() deleteF!: (id: string) => Promise<void>
        @Prop() id!: string;

        @Prop() title!: string;
        @Prop() text!: string;
        @Prop() tooltip!: string;

        async Back() {
            await this.backF();
            this.dialog = false;
        }

        async Delete() {
            await this.deleteF(this.id);
            this.dialog = false;
        }

    }
</script>
